<bugID>1175333<Summary>Tracking protection list needs to be stored per session</Summary><Description>We can't leak which sites a user has chosen to allow tracking elements on.  This is especially a concern when entry to the 'allowed sites' list was added via Private Browsing mode.

This also implies, I think, that we have different stores for private browsing whitelisted sites and normal whitelisted sites.  The private browsing sites would definitely be transient and end after a session.  The normal browsing sites could potentially persist across sessions, although that would require different UX messaging in the control center (i.e. 'Enable protection for this site' vs 'Enable protection for this session').</Description></bugID>